Skip to main content
`Ctrl`+`K`

# PetscLogStateDestroy

Destroy a logging state.

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateDestroy(PetscLogState *state)

Not collective

## Input Parameters

- state - a `PetscLogState`

## Note

Most users will not need to destroy a `PetscLogState`. The global state `PetscLogState()` is destroyed in `PetscFinalize()`.

## See Also

Profiling, `PetscLogState`, `PetscLogStateCreate()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages